
From: Pavel Machek <pavel@ucw.cz>

Clean code up a bit, and only show suspend to disk as available when
it is configured in.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/power/main.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN kernel/power/main.c~pm-cleanup-sys-power-disk kernel/power/main.c
--- 25/kernel/power/main.c~pm-cleanup-sys-power-disk	Mon Aug 29 15:39:34 2005
+++ 25-akpm/kernel/power/main.c	Mon Aug 29 15:39:34 2005
@@ -143,11 +143,12 @@ static void suspend_finish(suspend_state
 
 
 
-static char * pm_states[] = {
+static char *pm_states[PM_SUSPEND_MAX] = {
 	[PM_SUSPEND_STANDBY]	= "standby",
 	[PM_SUSPEND_MEM]	= "mem",
+#ifdef CONFIG_SOFTWARE_SUSPEND
 	[PM_SUSPEND_DISK]	= "disk",
-	NULL,
+#endif
 };
 
 
_
